/ comp / gb.eval / highlight / purge
Highlight.Purge (gb.eval)
Syntax

    STATIC FUNCTION Purge ( Code AS String [ , Comment AS Boolean, String AS Boolean ] ) AS String

Removes comments and/or strings from a Gambas code line.

- If Comment is FALSE, then the contents of the comments are replaced by spaces. Otherwise, they are kept unchanged.
- If String is FALSE then the contents of the strings are replaced by spaces. Otherwise, they are kept unchanged.

By default, both comments and strings are removed.